Bug 3829 - [UPDATE_REQUEST] systemd-208-27
: [UPDATE_REQUEST] systemd-208-27
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-03 11:10 MSK by Aleksandr Kazantcev
Modified: 2014-03-06 12:01 MSK (History)
3 users (show)

See Also:
RPM Package: https://abf.rosalinux.ru/import/systemd
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2014-03-03 11:10:14 MSK
Update systemd to stable branch
Comment 1 Aleksandr Kazantcev 2014-03-03 11:25:10 MSK
https://abf.rosalinux.ru/build_lists/1678750
https://abf.rosalinux.ru/build_lists/1674425

Advisory: Fedora/Red Hat create stable branch of systemd 208. This update moving our systemd to this branch and rework patches. Nothing new did not add.
Comment 2 Vladimir Potapov 2014-03-03 15:53:54 MSK
The update route to extended testing
Comment 3 Postnikov Dmitry 2014-03-04 23:31:46 MSK
Вообщем ситуация такая:
1. На стационарнике, systemd-204 уходит в гибернацию нормально.
2. systemd-208 любой - не уходит в гибернацию, и 208-27 тоже.
3. НО! Если в консоли их под юзера набрать systemctl hibernate то отрубается только монитор, больше ничего. Системный блок работает. Выход только кнопка Reset на блоке.
4. НО! Если НЕ через консоль, а через KDE сделать гиребнацию, то уходит в гибернацию отлично! И выходит... пишет проценты декомпрессии и т.д. Однако после декомпрессии отрубается монитор и тишина.
5. Раз с acpi что-то связанное. То просто тупо удалил lm_sensors. И после удаления и через KDE теперь не уходит в гибернацию.

Вообщем, кажется касяк где-то в lm_sensors. т.к. у меня в логах ALARM по поводу сенсоров. Типа этого:
========
марта 01 23:09:36 mindlife-K64R2 sensord[4250]: Sensor alarm: Chip f71889a-isa-0290: fan2: 0 RPM [ALARM]
марта 01 23:09:36 mindlife-K64R2 sensord[4250]: Sensor alarm: Chip f71889a-isa-0290: fan3: 0 RPM [ALARM]
марта 01 23:09:36 mindlife-K64R2 sensord[4250]: Sensor alarm: Chip f71889a-isa-0290: temp1: 30.0 C (limit = 255.0 C, hysteresis = 251.0 C) [ALARM]
марта 01 23:09:36 mindlife-K64R2 sensord[4250]: Sensor alarm: Chip f71889a-isa-0290: temp3: 22.0 C (limit = 255.0 C, hysteresis = 253.0 C) [ALARM]
========

А при удаленном lm_sensors если запустить новый urpm-reposync = он отваливается так:
=============
[root@mindlife-K64R2 pastordi]# urpm-reposync
Загрузка списка установленных пакетов...
Обработка источника main...
Обработка источника Main32...
Обработка источника Main32 Updates...
Обработка источника contrib...
Обработка источника contrib updates...
Обработка источника non-free...
Обработка источника non-free updates...
Обработка источника Non-free32...
Обработка источника Non-free32 Updates...
Обработка источника restricted...
Обработка источника restricted updates...
Обработка источника Restricted32...
Обработка источника Restricted32 Updates...
Обработка источника skype13...
Обработка источника vlc2.1.3a...
Обработка источника drakx-kdb-106-1...
Обработка источника ffmpeg1...
Обработка источника urpm1...
Обработка источника libgphoto1...
Обработка источника gphoto2...
Обработка источника systemd27...
Computing actions list...
Traceback (most recent call last):
  File "/usr/bin/urpm-reposync", line 934, in <module>
    Main()
  File "/usr/bin/urpm-reposync", line 816, in Main
    process_packages()
  File "/usr/bin/urpm-reposync", line 420, in process_packages
    installed = emulate_install(act)
  File "/usr/bin/urpm-reposync", line 257, in emulate_install
    pkgs2.remove(pkg)
AttributeError: 'str' object has no attribute 'remove'
[root@mindlife-K64R2 pastordi]# 
=============
Comment 4 Postnikov Dmitry 2014-03-05 00:14:51 MSK
Хм... понял в чем различие.
Если в BIOS установлено "ACPI state" - S3 = то с systemd-208 гибернация не происходит, а с systemd-204 нормально гибернация работает.
Если в BIOS установлено "ACPI state" - S1 = то с systemd-208 и c systemd-204 гибернация работает.
Comment 5 Vladimir Potapov 2014-03-05 10:12:51 MSK
(In reply to comment #4)
> Хм... понял в чем различие.
> Если в BIOS установлено "ACPI state" - S3 = то с systemd-208 гибернация не
> происходит, а с systemd-204 нормально гибернация работает.
> Если в BIOS установлено "ACPI state" - S1 = то с systemd-208 и c systemd-204
> гибернация работает.
Т.к. 208 уже текущий, то регрессии нет. А на второй твоей машинке?
Comment 6 Postnikov Dmitry 2014-03-05 10:33:19 MSK
(In reply to comment #5)
> (In reply to comment #4)
> > Хм... понял в чем различие.
> > Если в BIOS установлено "ACPI state" - S3 = то с systemd-208 гибернация не
> > происходит, а с systemd-204 нормально гибернация работает.
> > Если в BIOS установлено "ACPI state" - S1 = то с systemd-208 и c systemd-204
> > гибернация работает.
> Т.к. 208 уже текущий, то регрессии нет. А на второй твоей машинке?

На второй машине нормально все работает.
Comment 7 Vladimir Potapov 2014-03-05 12:45:12 MSK
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Хм... понял в чем различие.
> > > Если в BIOS установлено "ACPI state" - S3 = то с systemd-208 гибернация не
> > > происходит, а с systemd-204 нормально гибернация работает.
> > > Если в BIOS установлено "ACPI state" - S1 = то с systemd-208 и c systemd-204
> > > гибернация работает.
> > Т.к. 208 уже текущий, то регрессии нет. А на второй твоей машинке?
> 
> На второй машине нормально все работает.
Это твое заднее слово? :-) Т.е. отчет официальный будет?
Comment 8 Postnikov Dmitry 2014-03-05 23:55:27 MSK
************************
Extended testing report
************************
All work on two computers, but in journal many messages:
==========
марта 05 23:51:14 mindlife2-k64r2 agetty[5880]: /dev/getty: No such file or directory
марта 05 23:51:24 mindlife2-k64r2 agetty[6119]: /dev/getty: No such file or directory
марта 05 23:51:34 mindlife2-k64r2 agetty[6122]: /dev/getty: No such file or directory
марта 05 23:51:44 mindlife2-k64r2 agetty[6370]: /dev/getty: No such file or directory
марта 05 23:51:54 mindlife2-k64r2 agetty[6372]: /dev/getty: No such file or directory
марта 05 23:52:04 mindlife2-k64r2 agetty[6621]: /dev/getty: No such file or directory
марта 05 23:52:14 mindlife2-k64r2 agetty[6623]: /dev/getty: No such file or directory
марта 05 23:52:24 mindlife2-k64r2 agetty[6871]: /dev/getty: No such file or directory
марта 05 23:52:34 mindlife2-k64r2 agetty[6873]: /dev/getty: No such file or directory
марта 05 23:52:44 mindlife2-k64r2 agetty[7121]: /dev/getty: No such file or directory
марта 05 23:52:54 mindlife2-k64r2 agetty[7123]: /dev/getty: No such file or directory
===========
I reinstall new systems, but don't help.
Comment 9 Aleksandr Kazantcev 2014-03-06 00:21:40 MSK
This error fix on latest autotest ISO - error not in systemd, but in build scripts.
Comment 10 Vladimir Potapov 2014-03-06 11:57:35 MSK
systemd-208-27
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1678750/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1674425/x86_64/main/release/
************************* Advisory *************************
Fedora/Red Hat create stable branch of systemd 208. This update moving our systemd to this branch and rework patches. Nothing new did not add.
************************************************************
QA Verified